# ce-kafka-rest

kafka-rest wrapper implementing ce-kafka's KafkaHttpServlet provider interface 

### Building against a specific ce-kafka version

You can specify the version used for the ce-kafka dependencies of ce-kafka-rest by adding `-Dce.kafka.version=<version>` to the Maven build script you are using.
- E.g. `mvn clean package -D.ce.kafka.version=6.1.2-42-ce`.

This also allows you to build against custom/local ce-kafka changes by doing the following:
1. Implement/check out locally the ce-kafka changes you want to build against.
2. Follow ce-kafka's [instructions for publishing to your local Maven repo](https://github.com/confluentinc/ce-kafka#installing-the-jars-to-the-local-maven-repository).
   1. You might also have to specify `mavenUrl=file://<path to local Maven repo>` in your `gradle.properties`.
3. Verify that you can see the newly created artifacts (which should use 0 as a nanoversion) in your local repo.
4. Build ce-kafka-rest with `-Dce.kafka.version` set to the locally published version.
   1. E.g. `mvn clean package -D.ce.kafka.version=6.1.2-0-ce`.